Menu

apiTestWebhook

MutationClé requise

Shop API: posts a signed connect.test event to the endpoint right away and returns the attempt with the HTTP status the receiver answered.

Arguments

NomTypeDescription
endpointIdString!requis

Retourne

WebhookDeliveryView!

Exemple

GraphQL
mutation ApiTestWebhook($endpointId: String!) {
  apiTestWebhook(endpointId: $endpointId) {
    attempt
    createdAt
    deliveredAt
    endpointId
    endpointUrl
    eventId
    eventType
    httpStatus
    id
    nextAttemptAt
    payloadJson
    responseExcerpt
    status
  }
}
curl
curl -sS https://api.wamia.tn/connect/graphql \
  -H 'content-type: application/json' \
  -H 'x-api-key: wamia_…' \
  -H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
  -H 'wamia-idempotency-key: 6f0e1a2b-…' \
  --data '{"query":"mutation ApiTestWebhook($endpointId: String!) { apiTestWebhook(endpointId: $endpointId) { attempt createdAt deliveredAt endpointId endpointUrl eventId eventType httpStatus id nextAttemptAt payloadJson responseExcerpt status } }"}'